// component/shareBebefitModal/shareBebefitModal.js
Component({
  /**
   * 组件的属性列表
   */
  properties: {
    show: {
      type: Boolean,
      value: ''
    },
    benefitData: {
      type: Object,
      value: ''
    }
  },

  /**
   * 组件的初始数据
   */
  data: {

  },

  /**
   * 组件的方法列表
   */
  methods: {
    closeCardModal() {
      this.setData({
        show: false
      })
    },
    _getUserInfo(res = {}) {
      this.setData({
        show: false
      })
      this.triggerEvent('getAuth', res);
    },
  }
})
